%define _modulesdir %_libdir/X11/modules

Name: xorg-drv-microtouch
Version: 1.2.0
Release: alt4
Serial: 1
Summary: MicroTouch input driver
License: MIT/X11
Group: System/X11
Url: http://xorg.freedesktop.org
Packager: XOrg Maintainer Team <xorg@packages.altlinux.org>

Requires: XORG_ABI_XINPUT = %get_xorg_abi_xinput
Provides: xorg-x11-drv-microtouch = %serial:%version-%release
Obsoletes: xorg-x11-drv-microtouch

Source: %name-%version.tar
Patch: %name-%version-%release.patch

BuildRequires(Pre): xorg-sdk
BuildRequires: xorg-proto-devel

%description
microtouch is an Xorg input driver for MicroTouch devices...

The microtouch driver functions as a pointer input device, and  may  be
used  as the X server's core pointer.

%prep
%setup -q
%patch -p1

%build
%autoreconf
%configure \
	--with-xorg-module-dir=%_modulesdir \
	--disable-static

%make_build

%install
%make DESTDIR=%buildroot install

%files
%_modulesdir/input/*.so
%_man4dir/*

%changelog
* Thu Feb 26 2009 Valery Inozemtsev <shrek@altlinux.ru> 1:1.2.0-alt4
- requires XORG_ABI_XINPUT = 4.0

* Wed Aug 27 2008 Valery Inozemtsev <shrek@altlinux.ru> 1:1.2.0-alt3
- requires XORG_ABI_XINPUT = 2.1

* Fri Jun 06 2008 Valery Inozemtsev <shrek@altlinux.ru> 1:1.2.0-alt2
- renamed xorg-x11-drv-microtouch to xorg-drv-microtouch
- added requires XORG_ABI_XINPUT = 2.0

* Fri Mar 21 2008 Valery Inozemtsev <shrek@altlinux.ru> 1:1.2.0-alt1
- 1.2.0

* Mon Sep 10 2007 Valery Inozemtsev <shrek@altlinux.ru> 1:1.1.1-alt1
- 1.1.1

* Sat May 13 2006 Valery Inozemtsev <shrek@altlinux.ru> 1:1.1.0-alt1
- 1.1.0

* Wed Dec 28 2005 Valery Inozemtsev <shrek@altlinux.ru> 1:1.0.0.5-alt1
- Xorg-7.0

* Sun Dec 04 2005 Valery Inozemtsev <shrek@altlinux.ru> 1.0.0.3-alt1
- Xorg-7.0RC3

* Sun Nov 27 2005 Valery Inozemtsev <shrek@altlinux.ru> 1.0.0.2-alt0.1
- initial release

